#!/bin/sh
# -*-mode: sh; tab-width: 8; coding: utf-8-unix -*-
# filter

[ -z "$CACHE" ] && CACHE=/mnt/o/Cache/Apt/Debian/10.6/
[ -d "$CACHE" ] || exit 1$?

cd $CACHE || exit 2

[ -d var/cache/apt/archives ] || mkdir var/cache/apt/archives

find *.* -type f -name \*.deb | while read file; do
    base=$( basename $file )
    [ ! -d /var/cache/apt/archives/ ] || \
      [ -e /var/cache/apt/archives/$base ] || ln -s $PWD/$file /var/cache/apt/archives/$base
    [ -e  var/cache/apt/archives/$base ] || ln -s $PWD/$file var/cache/apt/archives/$base
  done

 
exit 0

